<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs For Class HTTPSender</title>
			<link rel="stylesheet" href="../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="class-name">Class HTTPSender</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
															<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
						
					</div>
	<div class="info-box-body">
        		<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Utility class used by Akismet</p>
<p class="description"><p>This class is used by Akismet to do the actual sending and receiving of data.</p><p>The code originates in the Akismet WordPress plugin, which is <a href="http://akismet.com/download/">available on the Akismet website</a>.</p></p>
	<ul class="tags">
				<li><span class="field">link:</span> <a href="http://www.achingbrain.net/">http://www.achingbrain.net/</a></li>
				<li><span class="field">author:</span> Alex Potsides</li>
				<li><span class="field">version:</span> 0.1</li>
				<li><span class="field">name:</span> HTTPSender</li>
			</ul>
		<p class="notes">
			Located in <a class="field" href="_Akismet_class_php.html">/Akismet.class.php</a> (line <span class="field">283</span>)
		</p>
		
				
		<pre></pre>
	
			</div>
</div>




	<a name="sec-method-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Method Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
												<span class="disabled">Methods</span> (<a href="#sec-methods">details</a>)
		</div>
		<div class="info-box-body">			
			<div class="method-summary">
								
				<div class="method-definition">
											<span class="method-result">HTTPSender</span>
										<a href="#__construct" title="details" class="method-name">__construct</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$host</span>, <span class="var-type">mixed</span>&nbsp;<span class="var-name">$port</span>, <span class="var-type">mixed</span>&nbsp;<span class="var-name">$request</span>, [<span class="var-type">mixed</span>&nbsp;<span class="var-name">$responseLength</span> = <span class="var-default">1160</span>])
									</div>
								
				<div class="method-definition">
											<span class="method-result">string</span>
										<a href="#getResponse" title="details" class="method-name">getResponse</a>
										()
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#send" title="details" class="method-name">send</a>
										()
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setResponseLength" title="details" class="method-name">setResponseLength</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$responseLength</span>)
									</div>
							</div>
		</div>
	</div>		

	
	<a name="sec-methods"></a>
	<div class="info-box">
		<div class="info-box-title">Methods</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
																<a href="#sec-method-summary">Methods</a> (<span class="disabled">details</span>)
						
		</div>
		<div class="info-box-body">
			<A NAME='method_detail'></A>
<a name="method__construct" id="__construct"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">Constructor __construct</span> (line <span class="line-number">294</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Creates a new object.</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">HTTPSender</span>
		<span class="method-name">
			__construct
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$host</span>, <span class="var-type">mixed</span>&nbsp;<span class="var-name">$port</span>, <span class="var-type">mixed</span>&nbsp;<span class="var-name">$request</span>, [<span class="var-type">mixed</span>&nbsp;<span class="var-name">$responseLength</span> = <span class="var-default">1160</span>])
			</div>
	
		
		
	</div>
<a name="methodgetResponse" id="getResponse"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">getResponse</span> (line <span class="line-number">330</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Returns the server response text</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">string</span>
		<span class="method-name">
			getResponse
		</span>
				()
			</div>
	
		
		
	</div>
<a name="methodsend" id="send"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">send</span> (line <span class="line-number">306</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Does the actual sending of data</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			send
		</span>
				()
			</div>
	
		
		
	</div>
<a name="methodsetResponseLength" id="setResponseLength"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setResponseLength</span> (line <span class="line-number">339</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Sets the length of the server response.</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setResponseLength
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$responseLength</span>)
			</div>
	
		
		
	</div>
						
		</div>
	</div>


	<p class="notes" id="credit">
		Documentation generated on Thu, 12 Jan 2006 11:35:44 +0000 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.3.0RC5</a>
	</p>
	</div></body>
</html>